package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.GrupoRutaDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.GrupoRuta;

/**
 * 
 * @author Bruno H. G. Gouvea <bruno@rjconsultores.com.br>
 * 
 */
@Repository("grupoRutaDAO")
public class GrupoRutaHibernateDAO extends GenericHibernateDAO<GrupoRuta, Integer>
		implements GrupoRutaDAO {

	@Autowired
	public GrupoRutaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public List<GrupoRuta> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}

	public List<GrupoRuta> buscarPorNome(String descgrupo) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		c.add(Restrictions.eq("descgrupo", descgrupo));

		return c.list();
	}
}
